Bug 1663896 - GS fails to process many EPS files - Error: /nocurrentpoint in --currentpoint--
Summary: GS fails to process many EPS files - Error: /nocurrentpoint in --currentpoint--
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Osvald
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-07 09:39 UTC by Igor
Modified: 2019-02-18 01:26 UTC (History)
4 users (show)

Fixed In Version: ghostscript-9.26-1.fc29 ghostscript-9.26-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 02:56:19 UTC
Type: Bug


Attachments (Terms of Use)
Sample EPS file causing the problem. (528.97 KB, image/x-eps)
2019-01-07 09:39 UTC, Igor
no flags Details

Description Igor 2019-01-07 09:39:16 UTC
Created attachment 1518934 [details]
Sample EPS file causing the problem.

Description of problem:

Many EPS files cannot be opened in okular or gv or processed with ps2pdf.

Version-Release number of selected component (if applicable):

ghostscript-9.25-1.fc29.x86_64

How reproducible:

Try to open the attached eps file with okular, gv, or process with ps2pdf.

Steps to Reproduce:
1. Run ps2pdf fig1.ps
2.
3.

Actual results:

Output of the above command:

Error: /nocurrentpoint in --currentpoint--
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   2015   1   3   %oparray_pop   2014   1   3   %oparray_pop   --nostringval--   1998   1   3   %oparray_pop   1884   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--
Dictionary stack:
   --dict:969/1684(ro)(G)--   --dict:0/20(G)--   --dict:82/200(L)--   --dict:12/20(L)--
Current allocation mode is local
Current file position is 841
GPL Ghostscript 9.25: Unrecoverable error, exit code 1

Expected results:

Creation of a correct PDF file.

Additional info:

The bug has been reported at the ghostscript and debian web sites (see external bugs).

The first link provides another example of a problematic eps file independent of mine (second.eps).

The bug is fixed in gs 9.26. Please update current gs to the new version.

Comment 1 Igor 2019-01-07 09:48:13 UTC
URLs to the external bugs mentioned in the description:

https://bugs.ghostscript.com/show_bug.cgi?id=699832

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=909929

Comment 2 Martin Osvald 2019-02-08 07:51:30 UTC
Hello,

thank you very much for reporting this problem!

I can reproduce the same. I can confirm that an upcoming rebase to 9.26 (currently in a pending state) will solve this problem.

Kind regards,
-Martin

Comment 3 Fedora Update System 2019-02-08 07:52:18 UTC
ghostscript-9.26-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-077a3f23c0

Comment 4 Fedora Update System 2019-02-08 07:53:00 UTC
ghostscript-9.26-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-82acb29c1b

Comment 5 Fedora Update System 2019-02-10 01:50:52 UTC
ghostscript-9.26-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-82acb29c1b

Comment 6 Fedora Update System 2019-02-10 04:28:05 UTC
ghostscript-9.26-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-077a3f23c0

Comment 7 Fedora Update System 2019-02-12 02:56:19 UTC
ghostscript-9.26-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-02-18 01:26:25 UTC
ghostscript-9.26-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.